List:German« Previous MessageNext Message »
From:Hartmut Holzgraefe Date:October 4 2011 3:08pm
Subject:Re: Kompatibilitätsproblem zwisch MySQL 5
.0.51a-24+lenny5-log und MySQL 5.1.49.3
View as plain text  
On 10/01/2011 12:58 PM, Thomas Jurt wrote:

 > Der folgende Select äuft auf dem Produktiv-Server problemlos auf dem
 > Test-Server jedoch nicht:

5.1 unterstützt verschachtelte { OJ ... { OJ ... }} Konstruktionen 
tatsächlich nicht mehr:

   http://bugs.mysql.com/45602

Die allgemeine Meinung dazu ist das solch eine Verschachtelung in der
ODBC Spezifikation eh nicht vorgesehen ist (sie Diskussion auf dem Bug
und dem älteren http://bugs.mysql.com/28317).

Wenn es Belege dafür gibt das diese Konstruktion auf anderen
Datenbanken, insb. MS SQL oder MS Access, funktioniert und insb. auch
bestimmte Tools solche Konstruktionen automatisch erzeugen kann evtl.
noch einmal Bewegung in dieses Bug Report kommen, für wirklich
wahrscheinlich halte ich das aber nicht nachdem dies scheinbar erst das 
zweite mal innerhalb von über zwei Jahren ist das jemand außerhalb von
MySQL/Sun/Oracle selbst über diese Verhaltensänderung stolpert.

-- 
Hartmut Holzgraefe <hartmut@stripped>
Principal Support Engineer
SkySQL AB   <http://skysql.com/>

Thread
Kompatibilitätsproblem zwisch MySQL 5.0.51a-24+lenny5-log und MySQL 5.1.49.3 Thomas Jurt3 Oct
  • Re: Kompatibilitätsproblem zwisch MySQL 5.0.51a-24+lenny5-log und MySQL 5.1.49.3Hartmut Holzgraefe4 Oct